TransactionEventHandlers (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class TransactionEventHandlers

    java.lang.Object
      org.neo4j.kernel.TransactionEventHandlers

All Implemented Interfaces:
  Lifecycle

    public class TransactionEventHandlers

extends Object
implements Lifecycle

Handle the collection of transaction event handlers, and fire events as needed.

Nested Class Summary
`static class` | `TransactionEventHandlers.HandlerAndState`

Field Summary
`protected Collection<TransactionEventHandler>` | `transactionEventHandlers`

Constructor Summary
`TransactionEventHandlers(TransactionManager txManager)`

Method Summary
`void` | `afterCompletion(TransactionData transactionData, int status, List<TransactionEventHandlers.HandlerAndState> states)`
`void` | `beforeCompletion(TransactionData transactionData, List<TransactionEventHandlers.HandlerAndState> states)`
`boolean` | `hasHandlers()`
`void` | `init()`
`
`<T> TransactionEventHandler<T>`
` | `registerTransactionEventHandler(TransactionEventHandler<T> handler)`
`void` | `shutdown()`
`void` | `start()`
`void` | `stop()`
`
`<T> TransactionEventHandler<T>`
` | `unregisterTransactionEventHandler(TransactionEventHandler<T> handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transactionEventHandlers

    protected final Collection<TransactionEventHandler> transactionEventHandlers

Constructor Detail

### TransactionEventHandlers

    public TransactionEventHandlers(TransactionManager txManager)

Method Detail

### init

    public void init()
              throws Throwable

  Specified by:
    `init` in interface `Lifecycle`
  Throws:
    `Throwable`

### start

    public void start()
               throws Throwable

  Specified by:
    `start` in interface `Lifecycle`
  Throws:
    `Throwable`

### stop

    public void stop()
              throws Throwable

  Specified by:
    `stop` in interface `Lifecycle`
  Throws:
    `Throwable`

### shutdown

    public void shutdown()
                  throws Throwable

  Specified by:
    `shutdown` in interface `Lifecycle`
  Throws:
    `Throwable`

### registerTransactionEventHandler

    public <T> TransactionEventHandler<T> registerTransactionEventHandler(TransactionEventHandler<T> handler)

### unregisterTransactionEventHandler

    public <T> TransactionEventHandler<T> unregisterTransactionEventHandler(TransactionEventHandler<T> handler)

### hasHandlers

    public boolean hasHandlers()

### beforeCompletion

    public void beforeCompletion(TransactionData transactionData,
                                 List<TransactionEventHandlers.HandlerAndState> states)

### afterCompletion

    public void afterCompletion(TransactionData transactionData,
                                int status,
                                List<TransactionEventHandlers.HandlerAndState> states)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.